datacache <- new.env(hash=TRUE, parent=emptyenv())

u133x3phsrefseq <- function() showQCData("u133x3phsrefseq", datacache)
u133x3phsrefseq_dbconn <- function() dbconn(datacache)
u133x3phsrefseq_dbfile <- function() dbfile(datacache)
u133x3phsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
u133x3phsrefseq_dbInfo <- function() dbInfo(datacache)

u133x3phsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "u133x3phsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "u133x3phsrefseq", "chip u133x3phsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("u133x3phsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(u133x3phsrefseq_dbconn())
}

